/**
 *该js文件存放的是人员新增、入户调查、信息变更可复用的事件函数。
 *
 */


/**
 * 使用位置：人员新增、入户调查、信息变更
 * 为二级代码添加选择事件
 * 
 * @method click
 */
Base.click("div[code]", function($this, e) {
    
    if($this.attr("readonly")=="readonly"){
        return ;
    }
    /*如果选择的是行政区划*/
    var fieldArr1=["aab303","aab302","aab301","aae008","aae009"];//户籍地
    var fieldArr2=["aab304","aab305","aab306","aab307","aab308"];//现居住地
    var fieldArr3=["aab012","aab013"];//省外就业地
    var fieldArr4=["aab010","aab011"];//省内就业地

    var field = $this.attr("field");
    if (infoManageCommonFun.contains(fieldArr1,field)||
        infoManageCommonFun.contains(fieldArr2,field)||
        infoManageCommonFun.contains(fieldArr3,field)||
        infoManageCommonFun.contains(fieldArr4,field)) {
        toAreaSelect(field);
        return;
    }

    var code = $this.attr("code"); 
    var title = $this.siblings('.field_title').text().replace(/:/,"");
    var frameUrl = "wgt://cdsim/infoManage/common/html/code_select.html";
    var url="wgt://cdsim/infoManage/common/html/common_naiv.html";
    var pageParam={
            frameUrl: frameUrl,
            title: title || "",
            bounces: false,
            reload: true,
            frameParam: {
                field: field,
                code: code,
                title: title,
                from:{
                    winName:md.winName,
                    frameName:md.frameName
                }
            }
        };

    
    md.openWin({
        name: "code_select",
        url: url,
        reload: true,
        pageParam:pageParam
    });
}, "md-act2");


/*跳转到码值选择界面*/
function toAreaSelect(field){
    var areaType="";
    var fieldArr=[];
    var fieldArr1=["aab303","aab302","aab301","aae008","aae009"];//户籍地
    var fieldArr2=["aab304","aab305","aab306","aab307","aab308"];//现居住地
    var fieldArr3=["aab012","aab013"];//省外就业地
    var fieldArr4=["aab010","aab011"];//省内就业地
    if (infoManageCommonFun.contains(fieldArr1,field)) {//户籍地
        areaType="1";
        fieldArr=fieldArr1;
    }else if(infoManageCommonFun.contains(fieldArr2,field)){//现居住地
        areaType="2";
        fieldArr=fieldArr2;
    }else if(infoManageCommonFun.contains(fieldArr3,field)){//省内就业地
        areaType="3";
        fieldArr=fieldArr3;
    }else if(infoManageCommonFun.contains(fieldArr4,field)){//省外就业地
        areaType="4";
        fieldArr=fieldArr4;
    }else{
        return;
    }
    var areaParams=getAreaArrValue(fieldArr);
    areaParams["areaType"]=areaType;
    var title = "请选择地区";
    var frameUrl = "wgt://cdsim/infoManage/area/html/area_leve.html";
    var url="wgt://cdsim/nav/top_navTwo.html";
    var pageParam={
            name:'area_leve',
            frameUrl: frameUrl,
            title: title || "",
            bounces: false,
            reload: true,
            frameParam: {
                field: field,
                title: title,
                from:{
                    winName:md.winName,
                    frameName:md.frameName
                },
                areaParams:areaParams
            }
        };

    md.openWin({
        name: "area_select",
        url: url,
        reload: true,
        pageParam:pageParam
    });
}


/*获取本页面的行政区划默认值*/
function getAreaArrValue(areaArr){
    var areaParams={};
    /*行政区划对应等级*/
    var areaLevelJSON={"aab303":"province","aab302":"city","aab301":"county","aae008":"town","aae009":"village",
                       "aab304":"province","aab305":"city","aab306":"county","aab307":"town","aab308":"village",
                       "aab012":"province","aab013":"city",
                       "aab010":"city"    ,"aab011":"county",
                       "aab302_":"city","aab301_":"county","aae008_":"town","aae009_":"village"};
    for (var i = 0; i < areaArr.length; i++) {
        var areaArri = areaArr[i];
        var value = $("div[field='"+areaArr[i]+"']").attr("value");
        var text  = $("div[field='"+areaArr[i]+"']").text();
        areaParams[ areaLevelJSON[areaArri] ]={};
        if (infoManageCommonFun.isNotEmpty(value)&&infoManageCommonFun.isNotEmpty(text)) {
            areaParams[ areaLevelJSON[areaArri] ]["value"]=value;
            areaParams[ areaLevelJSON[areaArri] ]["text"]=text;
        }
    }
    return areaParams;
}

/**
 * 使用位置：人员新增、入户调查、信息变更
 * 判断是不是选择区域
 * 
 * @method judgeArea
 * @param {string}
 *            field 字段名称
 * @param {string}
 *            pageParam 要传递到code_selected界面的参数，在方法内会加入上级区划的值
 *@return {boolean}
 *            上级行政区划未选返回false,已选返回true 
 */
function judgeArea(field,pageParam){
    var prefield;//上级字段
    var prename;//上级字段名称
    var flag=false;//true:选的是地区
    var pregrade=0;//等级 省-1 市-2  重庆市的编码为500000  若用rtrim 则导致5开头的市都位于重庆市下面
    switch(field)
    {
    case "aab305"://选市
      prefield="aab304";
      pregrade=1;
      // prename="所属省份";
      flag=true;
      break;
    case "aab306"://选县
      prefield="aab305";
      pregrade=2;
      // prename="所属市级";
      flag=true;
      break;
    case "aab307"://选乡镇
      prefield="aab306";
      // prename="所属县级";
      flag=true;
     break;
    case "aab308"://选村
      prefield="aab307";
      // prename="所属乡镇街道";
      flag=true;
      break;

    case "aab302"://选市
      prefield="aab303";
      pregrade=1;
      // prename="所属省份";
      flag=true;
      break;
    case "aab301"://选县
      prefield="aab302";
      pregrade=2;
      // prename="所属市级";
      flag=true;
      break;
    case "aae008"://选乡镇
      prefield="aab301";
      // prename="所属县级";
      flag=true;
     break;
    case "aae009"://选村
      prefield="aae008";
      // prename="所属乡镇街道";
      flag=true;
      break;
    case "aab011"://省内就业选县
      prefield="aab010";
      pregrade=2;
      // prename="所属市级";
      flag=true;
      break;
    case "aab013"://省外就业选市
      prefield="aab012";
      pregrade=1;
      // prename="所属省级";
      flag=true;
      break;

   default: 
    }
    
    /*如果选的不是户籍或现居住地中有上级行政区划的字段，返回true*/
    if (!flag) {
        return true;  
    }
    prename=$("div[field='"+prefield+"']").siblings('.field_title').text().replace(/:/,"");
    var preValue=$("div[field='"+prefield+"']").attr("value");
    if(infoManageCommonFun.isEmpty(preValue)){
        Base.msgTip(prename+"未选择");
        return false;/*返回false的原因是当上级未选择时，不跳转到code_select界面*/
    }
    switch(pregrade){
        case 1 :
            preValue=preValue.substring(0,2);
            break;
        case 2 :
            preValue=preValue.substring(0,4);
            break;
        default: preValue=$("div[field='"+prefield+"']").attr("value");
    }
    
    pageParam.frameParam.preValue=preValue;
    return  true;
    
}


/**
 * 使用位置：人员新增、入户调查、信息变更
 * 为出生日期添加选择事件
 * 
 * @method click
 * @param {string}
 *            
 */
 Base.click("div[time]", function($this, e) {
     if($this.attr("readonly")=="readonly"){
         return ;
     }
     var name = $this.attr("time");
     md.openPicker({
         type: 'date',
         title: '请选择日期'
     },function( ret, err ){
         if( ret ){
             $this.attr("value", ret.year+"-"+ret.month+"-"+ret.day);
             $this.text(ret.year+"-"+ret.month+"-"+ret.day);
         } else{
             // commonUtil.console( JSON.stringify( err ) );
         }
     });
 }, "md-act2");


/**
 * 使用位置：人员新增、入户调查、信息变更
 * 输入移动电话后进行校验
 * 
 * @method blur
 * @param {string}
 *            field 字段名称
 */
$("[field=aae005]").blur(function() { 
    var value = $.trim($(this).val());//去除所有空格
    if (value.length==0) { 
        return;
    }
    if(!Base.validate.isMobile(value)) {
        $(this).focus();
        Base.msgTip("手机号码格式输入错误");
        return false;
    }
});


/**
 * 使用位置：人员新增、入户调查、信息变更
 * 输入固定电话后进行校验
 * 
 * @method blur
 * @param {string}
 *            field 字段名称
 */
$("[field=aae010]").blur(function() { 
    var value = $.trim($(this).val());//去除所有空格
    if (value.length==0) { 
        return;
    }
    if(!Base.validate.isTel(value)) {
        $(this).focus();
        Base.msgTip("固定电话格式输入错误");
        return false;
    }
});


/**
 * 使用位置：人员新增、入户调查、信息变更
 * 点击返回按钮关闭窗口
 * 
 * @method click
 */
Base.click(".go-back", function($this, e) {
    md.closeWin();
}, "md-act2");


/**
 * 使用位置：人员新增、入户调查、信息变更
 * 单击签名按钮弹出签名框
 * 
 * @method click
 * @param {string}
 *            signature  签名div的id
 */
/* Base.click("#signature", function() {
    signature.open({
           "width": 100,
           "height": 200,
        }, function(ret, err) {
            if(ret.url) {
                commonUtil.console("file://" + ret.url);
                $("#textValue").css("background-image", "url('"+ret.url+"')");
                $("#textValue").attr("value", ret.url);   
            }
    });
});*/

/**
 * 使用位置：人员新增、入户调查、信息变更
 * 为险种添加选择事件
 * 
 * @method click
 * @param {string}
 *            .types-of-insurance  参保险种框
 */
Base.click(".types-of-insurance", function($this, e) {
    var aae130arr=[];//已参险种大类
    var arr=$("#insure").find("div[listItem='aae130']");
    for (var i = 0, len = arr.length; i < len; i++) {
        var $i = $(arr[i]);
        var value=$i.attr("value");
        if (infoManageCommonFun.isNotEmpty(value)) { 
            aae130arr.push(value);
        }
    }

    var frameUrl = "wgt://cdsim/infoManage/common/html/select_aae140.html";
    var url="wgt://cdsim/infoManage/common/html/common_naiv.html";
    var aae130_id=$($this.find("[listItem='aae130']")[0]).attr("id");
    var aae140_id=$($this.find("[listItem='aae140']")[0]).attr("id");
    var aac016=prePageData.aac016;
    var pageData={};
    commonUtil.console("pageData="+JSON.stringify(pageData))
    pageData["aae130_id"]=aae130_id;
    pageData["aae140_id"]=aae140_id;
    pageData["aae130arr"]=aae130arr;
    pageData["aac016"]=aac016;
    commonUtil.console("pageData="+JSON.stringify(pageData))

    var pageParam={
            frameUrl: frameUrl,
            title: "选择险种",
            bounces: false,
            reload: true,
            frameParam: {
                title: "选择险种",
                from:{
                    winName:md.winName,
                    frameName:md.frameName
                },
                pageData:pageData
            }
        };
    
    md.openWin({
        name: "select_aae140",
        url: url,
        reload: true,
        pageParam: pageParam
    });
}, "md-act2");



