/**
 *该js文件存放的是人员新增、入户调查、信息变更可复用的函数。
 *
 */


/**
 * 使用位置：人员新增、入户调查、信息变更的参保信息模块
 * 为增加按钮添加单击事件
 * 放在这里的原因是idNum和公用函数有复用关系
 * @method click
 * @param {string}
 *            div[code]  字段
 */
var idNum=1;//该参数的作用是，给参保险种设置值时，标识要设哪个框
Base.click(".add-insurance", function($this, e) {
    var html='<div class="md-box md-ver">'+
        '<div class="md-box md-ac md-pj">'+
          '<div></div>'+
          '<div class="md-box md-ac fs-20 colorf55A09 mg-r-3 delete-insurance"><div class="delete-insurance-icon"></div>删除</div>'+
        '</div>'+
        '<div class="md-box md-ver types-of-insurance" >'+
            '<div class="md-box md-ac bor_b item bgColorFFFFFF">'+
              '<div class="field_title">险种大类:</div>'+
              '<div listItem="aae130" id="'+idNum+'" class="md-box md-f1 md-pe fs-22"></div>'+
            '</div>'+
            '<div class="md-box md-ac bor_b item bgColorFFFFFF">'+
              '<div class="field_title">参保险种类型:</div>'+
              '<div listItem="aae140" id="'+idNum+'" class="md-box md-f1 md-pe fs-22"></div>'+
            '</div>'+
        '</div>'+
      '</div>';
      $("#insure").append(html);
      idNum+=1;
}, "md-act2");

/**
 * 使用位置：人员新增、入户调查、信息变更的参保信息模块
 * 为删除按钮添加单击事件
 * 
 * @method click
 * @param {string}
 *            div[code]  字段
 */
Base.click(".delete-insurance", function($this, e) {
    commonUtil.console("进入删除")
    var parent=$this.parent().parent();
    parent.remove();//从父元素中删除自己
}, "md-act2");

/**
 * 选择码值后回调
 * 
 * @method setCode
 * @param {string}
 *            field 字段名称
 * @param {string}
 *            field 字段码值
 * @param {string}
 *            field 字段码值名称
 */
function setCode(field, value, text) {

    infoManageCommonFun.clearLowerLevelArea(field, value, text);//根据选择的行政区划值清空该行政区划下级
    $("div[field='"+field+"']").attr("value", value).text(text);
    infoManageCommonFun.setAae006(field, value, text);//设置常住地址
    infoManageCommonFun.setAae012(field, value, text);//设置通讯地址
    infoManageCommonFun.setAac010(field, value, text);//设置户籍地址
    infoManageCommonFun.clearRequire(field, value, text);//根据选择的行政区划值设置乡镇和村是否必输

}

infoManageCommonFun={
    /**
     * 使用位置：人员新增、入户调查、信息变更的参保信息模块地区选择界面
     * 选择地区后设置地区的值
     * 
     * @method setArea
     * @param {json}
     *            areaParams 含有地区选择界面传递过来的参数
     */
    setArea : function(areaParams){
        var areaType = areaParams.areaType;

        var areaNameArr =[];
        var areaLevelJSON={}
        if (areaType=="1") {
            areaNameArr=["province","city","county","town","village"];
            areaLevelJSON={"province":"aab303","city":"aab302","county":"aab301","town":"aae008","village":"aae009"};
        }
        if (areaType=="2") {
            areaNameArr=["province","city","county","town","village"];
            areaLevelJSON={"province":"aab304","city":"aab305","county":"aab306","town":"aab307","village":"aab308"};
        }
        if (areaType=="3") {
            areaNameArr=["province","city"];
            areaLevelJSON={"province":"aab012","city":"aab013"};
        }
        if (areaType=="4") {
            areaNameArr=["city","county"];
            areaLevelJSON={"city":"aab010","county":"aab011"};
        }
        if (areaType=="5") {
            areaNameArr=["city","county","town","village"];
            areaLevelJSON={"city":"aab302_","county":"aab301_","town":"aae008_","village":"aae009_"};
        }
        for (var i = 0; i < areaNameArr.length; i++) {

            var areaNameArri = areaNameArr[i];
            var field = areaLevelJSON[areaNameArri];
            var value = areaParams[areaNameArri].value;
            var text  = areaParams[areaNameArri].text;
           
            /*该方法位于各个页面的js内，因为每个页面setCode前的判断不一致*/
            setCode(field,value,text);
        }
    },
    /**
     * 使用位置：人员新增、入户调查、信息变更的参保信息模块险种选择界面
     * 选择险种后设置险种的值
     * 
     * @method fn_setInsure_type
     * @param {json}
     *            params 参数类型
     */
     fn_setInsure_type : function(params){
        var aae130_id=params.aae130_id;
        var aae140_id=params.aae140_id;
        var aae130_value=params.aae130_value;
        var aae140_value=params.aae140_value;
        var aae130_text=params.aae130_text;
        var aae140_text=params.aae140_text;
        commonUtil.console("fn_setInsure_type:params="+JSON.stringify(params));
        $("div[listItem='aae130']"+"[id='"+aae130_id+"']").attr("value",aae130_value).text(aae130_text);
        $("div[listItem='aae140']"+"[id='"+aae140_id+"']").attr("value",aae140_value).text(aae140_text);
     },

     /**
      * 使用位置：所有模块
      * 判断值为空
      * 
      * @method isEmpty
      * @param {string}
      *            value 待判断的值
      * @return {boolean}
      *            boolean 为空返回true;不为空返回false 
      */
     isEmpty : function(value){
         if (value==null||value==""||value==undefined) {
             return true;
         }
         return false;
         
     },
     /**
      * 使用位置：所有模块
      * 判断值不为空
      * 
      * @method isNotEmpty
      * @param {string}
      *            value 待判断的值
      * @return {boolean}
      *            boolean 为空返回true;不为空返回false 
      */
     isNotEmpty : function(value){
         if (value==null||value==""||value==undefined) {
             return false;
         }
         return true;
         
     },


     /**
      * 使用位置：人员新增、入户调查、信息变更的地址信息模块
      * 根据选择的行政区划值设置乡镇和村是否必输。省内必输乡镇和村，省外不必输乡镇和村
      * 
      * @method clearRequire
      * @param {string}
      *            field 字段名称
      * @param {string}
      *            field 字段码值
      * @param {string}
      *            field 字段码值名称
      */
     clearRequire : function(field, value, text){
         var arr=["aab303","aab304"];
         var arrHj=["aae008","aae009"];//户籍地乡镇 村
         var arrXj=["aab307","aab308"];//现居住地乡镇 村
         var arr2;
         var arr2Tip0;
         var arr2Tip1;
         if (!infoManageCommonFun.contains(arr,field)) {/*若字段不包含在数组中*/
             return;
         }
         switch(field){
             case "aab303":
                 arr2=arrHj;
                 arr2Tip0="{tip: '所属乡镇街道(户籍地)不能为空'}";
                 arr2Tip1="{tip: '所属行政村/社区(户籍地)不能为空'}"
                 break;
             case "aab304":
                 arr2=arrXj;
                 arr2Tip0="{tip: '所属乡镇街道(现居住)不能为空'}";
                 arr2Tip1="{tip: '所属行政村/社区(现居住)不能为空'}"
                 break;
             default:;
         }
         if (value=="520000") {
             $("div[field='"+arr2[0]+"']").siblings(".require").addClass("require-icon");
             $("div[field='"+arr2[1]+"']").siblings(".require").addClass("require-icon");
             $("div[field='"+arr2[0]+"']").attr("validate",arr2Tip0);
             $("div[field='"+arr2[1]+"']").attr("validate",arr2Tip1);
         }else{
             $("div[field='"+arr2[0]+"']").siblings(".require").removeClass("require-icon");
             $("div[field='"+arr2[1]+"']").siblings(".require").removeClass("require-icon");
             $("div[field='"+arr2[0]+"']").removeAttr("validate");
             $("div[field='"+arr2[1]+"']").removeAttr("validate");
         }
     },

     /**
      * 使用位置：人员新增、入户调查、信息变更的地址信息模块和就业信息模块
      * 根据选择的值清空选择的行政区划下级。当上级行政区划发生改变时，清空下级行政区划。
      * 
      * @method clearLowerLevelArea
      * @param {string}
      *            field 字段名称
      * @param {string}
      *            field 字段码值
      * @param {string}
      *            field 字段码值名称
      */
     clearLowerLevelArea : function(field, value, text){
     
         var fieldArr=[];
         var fieldArr1=["aab304","aab305","aab306","aab307","aab308"];//现居住地
         var fieldArr2=["aab303","aab302","aab301","aae008","aae009"];//户籍地
         var fieldArr3=["aab010","aab011"];//省内就业地
         var fieldArr4=["aab012","aab013"];//省外就业地
         if (infoManageCommonFun.contains(fieldArr1,field)) {//现居住地
             fieldArr=fieldArr1;
         }else if(infoManageCommonFun.contains(fieldArr2,field)){//户籍地
             fieldArr=fieldArr2;
         }else if(infoManageCommonFun.contains(fieldArr3,field)){//省内就业地
             fieldArr=fieldArr3;
         }else if(infoManageCommonFun.contains(fieldArr4,field)){//省外就业地
             fieldArr=fieldArr4;
         }else{
             return;
         }
         var oldValue=$("div[field='"+field+"']").attr("value");
         if (oldValue==value) {//和原值相同不清空
             return;
         }
         var i=4;
         switch(field){
             case fieldArr[0]:
                 i=1;
                 break;
             case fieldArr[1]:
                 i=2;
                 break;
             case fieldArr[2]:
                 i=3;
                 break;
             case fieldArr[3]:
                 i=4;
                 break;
             default:;

         }
         for (var len=fieldArr.length; i < len; i++) {
             var text ="请选择"+$("div[field='"+fieldArr[i]+"']").siblings('.field_title').text().replace(/:/,"");
             $("div[field='"+fieldArr[i]+"']").removeAttr("value").text(text);
         }

     },
    /**
     *使用位置：地址信息模块(入户调查、信息变更)和就业信息模块(信息变更)
     *设置行政区划默认值时，获取行政区划名称。1.将APP用户的行政区划设为默认值时获取行政区划名称。2.将调查人员的行政区划设为默认值时获取行政区划名称。
     *@param {string}
     *               field 字段名
     *@param {string}
     *               value 字段值
     *@return {json}
     *               data :text string 地区名称,validate boolean 验证结果查到数据为true 否则为false
     */
     fnGetAreaName : function(field,value){
        var fieldArr1=["aab304","aab303","aab012"];         //现居住地 ,户籍地,省外就业地               省
        var fieldArr2=["aab305","aab302","aab013","aab010"];//现居住地 ,户籍地,省外就业地,省内就业地    市
        var fieldArr3=["aab306","aab301","aab011"];         //现居住地 ,户籍地,省内就业地               县
        var fieldArr4=["aab307","aae008"];                  //现居住地 ,户籍地                          乡镇
        var fieldArr5=["aab308","aae009"];                  //现居住地 ,户籍地                          村

        var data={validate:false};

        var sqlStr;

        if (infoManageCommonFun.contains(fieldArr1,field)) {//选省
                sqlStr="select a.aaa103 aaa103 from bm_aae006 a where a.aaa102 = '";
        }else if(infoManageCommonFun.contains(fieldArr2,field)){//选市
                sqlStr="select a.aaa103 aaa103 from bm_aae006 a where a.aaa102 = '";
        }else if(infoManageCommonFun.contains(fieldArr3,field)){//选县
                sqlStr="select a.aaa103 aaa103 from bm_aae006 a where a.aaa102 = '";
        }else if(infoManageCommonFun.contains(fieldArr4,field)){//选乡镇
                sqlStr="select a.aaa103 aaa103 from bm_aae008 a where a.aae008 = '";
        }else if(infoManageCommonFun.contains(fieldArr5,field)){//选村
                sqlStr="select a.aaa103 aaa103 from bm_aae009 a where a.aae009 = '";
        }else{
                return data;
        }
        sqlStr+=value+"'";
        commonUtil.console("sqlStr="+JSON.stringify(sqlStr));
        var returnData;
        databaseUtilSync.tableSelect(sqlStr, function(returnDatas){
            returnData=returnDatas;
        });
        commonUtil.console("returnData="+JSON.stringify(returnData[0]));
        var text=returnData[0]["aaa103"];
        if (infoManageCommonFun.isNotEmpty(text)) {
            data.text=text;
            data.validate=true;
        }
        commonUtil.console("data="+JSON.stringify(data));
        return data;
        
     },
     /**
      * 判断值是否在数组中
      * 
      * @param {string}
      *            arr 数组
      * @param {string}
      *            obj 值
      * @param {boolean}
      *            boolean 在数组中返回true  ,否则返回false
      */
     contains : function (arr, obj) {  
         var i = arr.length;  
         while (i--) {  
             if (arr[i] === obj) {  
                 return true;  
             }  
         }  
         return false;  
    } ,


    /**
     * 使用位置：人员新增、入户调查、信息变更的地址信息模块
     * 设置常住地址
     * 
     * @method setAae006
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            field 字段码值
     * @param {string}
     *            field 字段码值名称
     */
    setAae006 : function (field, value, text){
        if (field!="aab304" && field!="aab305" && field!="aab306" && field!="aab307" && field!="aab308") {//就业地
            return;  
        }
        var aab304Text=$("div[field='aab304']").text();
        var aab305Text=$("div[field='aab305']").text();
        var aab306Text=$("div[field='aab306']").text();
        var aab307Text=$("div[field='aab307']").text();
        var aab308Text=$("div[field='aab308']").text();
        aab304Text=aab304Text.indexOf("请选择")==-1?aab304Text:"";
        aab305Text=aab305Text.indexOf("请选择")==-1?aab305Text:"";
        aab306Text=aab306Text.indexOf("请选择")==-1?aab306Text:"";
        aab307Text=aab307Text.indexOf("请选择")==-1?aab307Text:"";
        aab308Text=aab308Text.indexOf("请选择")==-1?aab308Text:"";
        var aae006Text=aab304Text+aab305Text+aab306Text+aab307Text+aab308Text;
        $("input[field='aae006']").val(aae006Text);
    },
    /**
     * 使用位置：人员新增、入户调查、信息变更的地址信息模块
     * 设置通讯地址
     * 
     * @method setAae012
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            field 字段码值
     * @param {string}
     *            field 字段码值名称
     */
    setAae012 : function (field, value, text){
        if (field!="aab304" && field!="aab305" && field!="aab306" && field!="aab307" && field!="aab308") {//就业地
            return;  
        }
        var aab304Text=$("div[field='aab304']").text();
        var aab305Text=$("div[field='aab305']").text();
        var aab306Text=$("div[field='aab306']").text();
        var aab307Text=$("div[field='aab307']").text();
        var aab308Text=$("div[field='aab308']").text();
        aab304Text=aab304Text.indexOf("请选择")==-1?aab304Text:"";
        aab305Text=aab305Text.indexOf("请选择")==-1?aab305Text:"";
        aab306Text=aab306Text.indexOf("请选择")==-1?aab306Text:"";
        aab307Text=aab307Text.indexOf("请选择")==-1?aab307Text:"";
        aab308Text=aab308Text.indexOf("请选择")==-1?aab308Text:"";
        var aae012Text=aab304Text+aab305Text+aab306Text+aab307Text+aab308Text;
        $("input[field='aae012']").val(aae012Text);
    },
    /**
     * 使用位置：人员新增、入户调查、信息变更的地址信息模块
     * 设置户籍地址
     * 
     * @method setAac010
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            field 字段码值
     * @param {string}
     *            field 字段码值名称
     */
    setAac010 : function(field, value, text){
        if (field!="aab301" && field!="aab302" && field!="aab303" && field!="aae008" && field!="aae009") {//就业地
            return;
        }
        var aab301Text=$("div[field='aab301']").text();
        var aab302Text=$("div[field='aab302']").text();
        var aab303Text=$("div[field='aab303']").text();
        var aae008Text=$("div[field='aae008']").text();
        var aae009Text=$("div[field='aae009']").text();
        aab301Text=aab301Text.indexOf("请选择")==-1?aab301Text:"";
        aab302Text=aab302Text.indexOf("请选择")==-1?aab302Text:"";
        aab303Text=aab303Text.indexOf("请选择")==-1?aab303Text:"";
        aae008Text=aae008Text.indexOf("请选择")==-1?aae008Text:"";
        aae009Text=aae009Text.indexOf("请选择")==-1?aae009Text:"";
        var aac010Text=aab303Text+aab302Text+aab301Text+aae008Text+aae009Text;
        $("input[field='aac010']").val(aac010Text);
    },

    /**
     * 使用位置：人员新增、入户调查、信息变更的就业信息模块
     * 设置已就业模块显示或者隐藏
     * 
     * @method setEmploymentShowOrhidden
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            field 字段码值
     * @param {string}
     *            field 字段码值名称
     */
    setEmploymentShowOrhidden : function(field, value, text){
        if (field!="aac019" && field!="aac016") {//就业地
            return;
        }
        var $in=$(".wrap-div-employment-in");//省内就业
        var $out=$(".wrap-div-employment-out");//省外就业
        var $employment=$(".wrap-div-employment");//已就业
        var $unnemployment=$(".wrap-div-unemployment");//未就业

        var $aac019=$("div[field='aac019']");//就业地
        var $aab010=$("div[field='aab010']");//省内就业地所属市
        var $aab011=$("div[field='aab011']");//省内就业地所属县
        var $aab004=$("input[field='aab004']");//省内就业所属单位

        var $aab012=$("div[field='aab012']");//省外就业地所属省
        var $aab013=$("div[field='aab013']");//省外就业地所属市
        var $aac018=$("div[field='aac018']");//就业类别

        var $aac017=$("div[field='aac017']");//未就业原因
        
        var aac019Text="请选择"+$aac019.siblings('.field_title').text().replace(/:/,"");//就业地
        var aab010Text="请选择"+$aab010.siblings('.field_title').text().replace(/:/,"");//省内就业地所属市
        var aab011Text="请选择"+$aab011.siblings('.field_title').text().replace(/:/,"");//省内就业地所属县

        var aab012Text="请选择"+$aab012.siblings('.field_title').text().replace(/:/,"");//省外就业地所属省
        var aab013Text="请选择"+$aab013.siblings('.field_title').text().replace(/:/,"");//省外就业地所属市
        var aac018Text="请选择"+$aac018.siblings('.field_title').text().replace(/:/,"");//就业类别

        var aac017Text="请选择"+$aac017.siblings('.field_title').text().replace(/:/,"");;//未就业原因 

        if (field=="aac016") {
            if (value=="0") {//未就业
                $in.css("display", "none");
                $out.css("display", "none");
                $employment.css("display", "none");
                $unnemployment.css("display", "-webkit-box");

                $aac019.removeAttr("value").text(aac019Text);//就业地
                $aab010.removeAttr("value").text(aab010Text);//省内就业地所属市
                $aab011.removeAttr("value").text(aab011Text);//省内就业地所属县
                $aac018.removeAttr("value").text(aac018Text);//就业类别
                $aab004.val("");//省内就业所属单位
                $aab012.removeAttr("value").text(aab012Text);//省外就业地所属省
                $aab013.removeAttr("value").text(aab013Text);//省外就业地所属市
            }else{//已就业
                $unnemployment.css("display", "none");
                $employment.css("display", "-webkit-box");

                $aac017.removeAttr("value").text(aac017Text);//未就业原因
                //就业地默认为省外
                var defaultField=[
                    {"field":"aac019","value":"1"}
                ];
                for (var i = 0,len=defaultField.length; i < len; i++) {
                    var field=defaultField[i].field;
                    var value=defaultField[i].value;
                    var fieldU=field.toUpperCase();
                    var text =myBase.aa10[fieldU][value];
                    commonUtil.console("field="+field);
                    commonUtil.console("value="+value);
                    commonUtil.console("fieldU="+fieldU);
                    commonUtil.console("text="+text);
                    setCode(field, value, text);
                }
            }
        }
        if (field=="aac019") {
            if (value=="0") {//省内
                $out.css("display", "none");
                $in.css("display", "-webkit-box");
                $aab012.removeAttr("value").text(aab012Text);//省外
                $aab013.removeAttr("value").text(aab013Text);//省外
            }else{//省外
                $in.css("display", "none");
                $out.css("display", "-webkit-box");
                $aab010.removeAttr("value").text(aab010Text);//省内
                $aab011.removeAttr("value").text(aab011Text);//省内
                $aac018.removeAttr("value").text(aac018Text);//就业类别
                $aab004.val("");//省内就业所属单位
            }
        }
    },

    /**
     * 使用位置：人员新增、入户调查、信息变更的参保信息模块
     * 设置参保险种显示或隐藏
     * @method setInsureDetailShowOrHidden
     * @param {string}
     *            field 字段名称
     * @param {string}
     *            field 字段码值
     * @param {string}
     *            field 字段码值名称
     */
     setInsureDetailShowOrHidden : function(field, value, text){
        if (field!="aac032" && field!="yac101") {
            return;
        }
        var $wrap_div_insure_detail=$(".wrap-div-insure-detail");
        var $wrap_div_uninsure=$(".wrap-div-uninsure");
        var html='<div   class="md-box md-ac">'+
                  '<div   class="md-box mg-l-3 md-ac" >'+
                    '<div style="width:3px;height:12px;background:blue;"></div>'+
                    '<div><span class="fs-20 ">参保详情</span></div>'+
                  '</div>'+
                '</div>'+
                '<div class="md-box md-ver">'+
                  '<div class="md-box md-ver types-of-insurance" >'+
                      '<div class="md-box md-ac bor_b item bgColorFFFFFF">'+
                        '<div class="field_title">险种大类:</div>'+
                        '<div listItem="aae130" id="'+idNum+'" class="md-box md-f1 md-pe  fs-22"></div>'+
                      '</div>'+
                      '<div class="md-box md-ac bor_b item bgColorFFFFFF">'+
                        '<div class="field_title">参保险种类型:</div>'+
                        '<div listItem="aae140" id="'+idNum+'" class="md-box md-f1 md-pe  fs-22"></div>'+
                      '</div>'+
                  '</div>'+
              '</div>';
              idNum+=1; 
        if (field=="aac032") {
            switch(value){
                case "0"://选已参保
                    $wrap_div_insure_detail.css("display", "-webkit-box");
                    $wrap_div_uninsure.css("display", "none");
                    var aae013Text="请选择"+$("div[field='aae013']").siblings('.field_title').text().replace(/:/,"");
                    $("div[field='aae013']").removeAttr("value").text(aae013Text);
                    break;
                case "1"://选未参保
                    $wrap_div_insure_detail.css("display", "none");
                    $wrap_div_uninsure.css("display", "-webkit-box");
                    $("#insure").html(html);

                    break;
                default:;
            }
        }

        if (field=="yac101") {
            switch(value){
                case "1"://选已参保
                    $wrap_div_insure_detail.css("display", "-webkit-box");
                    $wrap_div_uninsure.css("display", "none");
                    var aae013Text="请选择"+$("div[field='aae013']").siblings('.field_title').text().replace(/:/,"");
                    $("div[field='aae013']").removeAttr("value").text(aae013Text);
                    break;
                case "0"://选未参保
                    $wrap_div_insure_detail.css("display", "none");
                    $wrap_div_uninsure.css("display", "-webkit-box");
                    $("#insure").html(html);

                    break;
                default:;
            }
        }
     },

     /**
      * 使用位置：人员新增、入户调查、信息变更的参保信息模块
      * 获取险种的数据
      * 
      * @method getInsuranceInfo
      * @param {string}
      *            value 待判断的值
      * @return {data}
      *            json 包含险种数据,以及险种框是不是选了险种的标志
      */
     getInsuranceInfo : function (prePageData){
         var data = {validate: false};
         var params={};
         var arr =$(".pageData").find(".types-of-insurance");
         for (var i = 0,len=arr.length; i < len; i++) {
              var $i = $(arr[i]);
              var aae130Value=$i.find("div[listItem='aae130']").attr("value");
              var aae140Value=$i.find("div[listItem='aae140']").attr("value");
              if (infoManageCommonFun.isEmpty(aae130Value)||infoManageCommonFun.isEmpty(aae140Value)) {
                 return data;
              }
              var aae140name;

              var aac016=prePageData.aac016;
              switch(aac016){
                 case "0":/*未就业*/
                     switch(aae130Value){
                        case "1":
                            aae140name="aic003_wjy";
                            break;
                        case "2":
                            aae140name="akc003_wjy";
                            break;
                        case "4":
                            aae140name="ajc003_wjy";
                            break;
                        default:;
                     }
                     break;
                 case "1":/*已就业*/
                     switch(aae130Value){
                        case "1":
                            aae140name="aic003";
                            break;
                        case "2":
                            aae140name="akc003";
                            break;
                        case "3":
                            aae140name="alc003";
                            break;
                        case "4":
                            aae140name="ajc003";
                            break;
                        case "5":
                            aae140name="amc003";
                            break;
                        default:;
                     }

                     break;
                 default:;
              }
              

              params[aae140name]=aae140Value;
              data.validate=true;
         }

         if (data.validate) {
             params["aac034"]='1';//是否参保标志为参保
         }else{
             params["aac034"]='0';//是否参保标志为未参保
         }
         data.params=params;
         return data;
     },
     /**
      * 使用位置：人员新增、入户调查、信息变更的参保信息模块
      * 关闭当前窗口到指导窗口间的win
      * 
      * @method closeWinToIndex
      * @param {string}
      *            toWinName 指定winName
      */
     closeWinToIndex : function (){
         md.closeToWin({
             name: "root",
             animation: {
                 type: 'none',
                 subType:"none",
                 duration: 0
             }
         });
     },

     /**
      * 使用位置：人员新增、入户调查、信息变更的参保信息模块
      * 业务经办完成后刷新统计数量
      * 
      */
     refreshRootWin : function (){
         md.execScript({
             name: 'root',
             frameName: 'index',
             script: 'refreshWin();'
         });
     }
}







