var pageParam;
/*当前行政区划级别，选择后会自动设置成下级行政区划，单击所属行政区划时会设置为单击的行政区划级别。非常重要！*/
var curArea = "";
var areaType = "";/*1:选择户籍地；2:选择现居住地；3:选择省外就业地；4:选择省内就业地；5:设备注册选择地区*/
/*行政区划数组，根据areaType赋予不同的值*/
var areaNameArr=[];
Base.onReady(function() {
    $(".code-content").html(""); //清空地区列表的数据
    pageParam = md.pageParam;
 /*含areaType和默认行政区划数据*/
    var areaParams = pageParam.areaParams;
    areaType = areaParams.areaType;
    alert(areaType);

    /*设置默认值*/
    if(areaType=="1"||areaType=="2") {
        areaNameArr=["province","city","county","town","village"];
        curArea = "province";
        $(".search-input").val("贵州省");
    }


     for (var i = 0; i < areaNameArr.length; i++) {

            var areaNameArri=areaNameArr[i];

            var value = areaParams[ areaNameArri ].value;
            var text  = areaParams[ areaNameArri ].text;

            if (infoManageCommonFun.isNotEmpty(value)&&infoManageCommonFun.isNotEmpty(text)) {
                $("div[area='"+areaNameArri+"']").attr("value",value).text(text);
                /*设置值后将curArea设为和当前设值的行政区划等级相符*/
                curArea = areaNameArri;
            }
            
        }
        var data=[];
        data = queryCodeList(curArea,""); 
        createCodeList(data);
        
        /*改变当前curArea颜色*/
        changeCurAreaColor();

});


/*改变当前curArea颜色*/
 function changeCurAreaColor(){
        var areaNameArr=["province","city","county","town","village"];
        var color="#000";
        for (var i = 0; i < areaNameArr.length; i++) {
            color="#000";
            if (areaNameArr[i]==curArea) 
                {
                    color="#097ADE";
                }
            $("div[area='"+areaNameArr[i]+"'").css("color",color);
        }
        
    }


 /**
     * 查询选择项
     * 
     * @method queryCodeList
     * @param {String}
     *        currentArea 当前区域
     * @param {array}
     *        data 查询结果数组
     */
    function queryCodeList(currentArea,searchValue) {
        var params={};

        //判断
       /* if (infoManageCommonFun.isNotEmpty(searchValue)) {
            params["searchValue"] = searchValue;
        }*/

        /*下级行政区划和上级行政区划的对应关系,province无用*/
        var superiorAreaJSON={"province":"","city":"province","county":"city","town":"county","village":"town"};
        var superiorArea=superiorAreaJSON[currentArea]; //上级行政区划

        var superiorValue=$("div[area='"+superiorArea+"']").attr("value"); //上级行政区划的值

        if (currentArea!="province" && !superiorValueJudge(superiorArea,superiorValue)) {
            return [];
        }
        var data=[];
        switch(currentArea){
            case "province":
                data=queryProvince(params);
                break;
            case "city":
                superiorValue = superiorValue.substring(0,2);
                params["superiorValue"] = superiorValue;
                data=queryCity(params);
                break;
            case "county":
                superiorValue = superiorValue.substring(0,4);
                params["superiorValue"]=superiorValue;
                data=qureyCounty(params);
                break;
            case "town":
                params["superiorValue"]=superiorValue;
                data=qureyTown(params);
                break;
            case "village":
                params["superiorValue"]=superiorValue;
                data=qureyVillage(params);
                break;
            default:;
        }
        commonUtil.console("data="+JSON.stringify(data));

        return data;
    }


/**
     * 查询省
     * 
     * @param {JSON}
     *            params 内含type，搜索类型(可为空);searchValue，搜索值(可为空)
     * @return {Array}
     *            data 省数组
     */
    function queryProvince(params){
        param={};
        param["jybh"]= "QMCB026";
        param["sysorg"]="520000";
        Base.requestServer("queryData",param,function(data){
          if(data.code=="1"){
            var  str=createCodeList(data);
           }
        },true);
        
    }

 /**
     * 查询市
     * 
     * @param {JSON}
     *            params superiorValue，上级行政区划的值(不可为空);searchValue，搜索值(可为空)
     * @return {Array}
     *            data 市数据数组
     */
    function queryCity(params){
        var data;
        var superiorValue=params.superiorValue;  //上级行政区划的值


        param={};
        param["jybh"]= "QMCB027";
        param["sysorg"]="520000";
        param["superiorValue"]=superiorValue;
        Base.requestServer("queryData",param,function(data){
          if(data.code=="1"){
            var  str=getEle(data);
            $(".code-content").html(str)
           }
        },true);


        sqlStr=addSearchCondition(sqlStr,params);
        databaseUtilSync.tableSelect(sqlStr, function(returnData){
            data=returnData;
        });
        return data;
    }



    /**
     * 动态生成选择项
     * 
     * @method createCodeList
     * @param {array}
     *            data 地区码值数组
     *  value 代表码值
     */
    function createCodeList(data) {
        var html = "";
        list = data.output;
        for(var i = 0; i < list.length; i++) {
            var item = list[i];
            html += '<div class="md-box code-item" value="'+item.aaa102+'">'+item.aaa103+'</div>';
        }
        $(".code-content").html(html);
    }



    /**
     *判断上级行政区划是否已选
     *@param {String}
     *       superiorArea 上级行政区划级别
     *@param {String}
     *       superiorArea 上级行政区划值
     *@return {Boolean}
     *        已选返回true，未选返回false
     */
     function superiorValueJudge(superiorArea,superiorValue){
  
        if (infoManageCommonFun.isEmpty(superiorValue)) {
            var msg = "请选择"+$("div[area='"+superiorArea+"']").siblings('.area_title').text().replace(/:/,"");
            Base.msgTip(msg);
            return false;
        }
        return true;
     }


  /**
     * 单击所属行政区划选择项，设置值并生成下级行政区划的选择项
     * 
     * @method click
     */
    Base.click(".code-item", function($this) {
        /*设置值*/
        var value = $this.attr("value");
        var text = $this.text();
        setCode(curArea,value,text);
        /*选省外隐藏乡镇和村*/
        if (curArea == "province") {
            
            if (value.substring(0,2)=="52") {
                $("#town_div").css("display", "-webkit-box");
                $("#village_div").css("display", "-webkit-box");
                $(".code-body").css("height","calc(100% - 0.1rem - 2*2px - 0.35*5rem - 0.1*2*5rem - 1*5px - 0.1*2rem - 3*2px - 0.8rem - 0.2rem -0.8rem - 0.2rem);");
            }else{
                $("#town_div").css("display", "none");
                $("#village_div").css("display", "none");
                $(".code-body").css("height","calc(100% - 0.1rem - 2*2px - 0.35*3rem - 0.1*2*3rem - 1*3px - 0.1*2rem - 3*2px - 0.8rem - 0.2rem -0.8rem - 0.2rem)");
            }
        }
        /*上级行政区划和下级行政区划的对应关系*/
        var juniorAreaJSON={"province":"city","city":"county","county":"town","town":"village","village":"village"};
        /*根据curArea获取下级行政区划*/ /*juniorAreaJSON.curArea获取不到值，因为其相当于juniorAreaJSON."province"*/
        var juniorArea=juniorAreaJSON[curArea];
        /*省外就业地只查询到市*/
        if (areaType=="3"&&curArea=="city") {
            return;
        }
        /*省内就业地只查询到县*/
        if (areaType=="4"&&curArea=="county") {
            return;
        }

        var data = queryCodeList(juniorArea,"");
        
        if (data.length==0) {
            return;
        }
        createCodeList(data);
        /*将curArea设置为下级行政区划*/
        curArea = juniorArea;

        /*改变当前curArea颜色*/
        changeCurAreaColor();
    }, "md-act1");



     /**
     * 选择码值后设值
     * 
     * @method setCode
     * @param {string}
     *            area 地区名称
     * @param {string}
     *            value 地区码值
     * @param {string}
     *            field 地区码值名称
     */
    function setCode(area, value, text) {
        clearLowerLevelArea(area, value, text);//根据选择的行政区划值清空该行政区划下级
        $("div[area='"+area+"']").attr("value", value).text(text);
    }
