

/**
 *
 *
 *
 */

var commonUtil = {

	console : function(msg){
		//console.log(msg);
	},

    /**
     * 获取18位身份证的信息
     * @param idCard {String} 18位身份证号
     */
    getCardMsg : function(idCard){
        var birth = "";
        var sex = "";

        birth = idCard.substr(6,4) + "-" + idCard.substr(10,2) + "-" + idCard.substr(12,2);
        if(idCard.substr(16,1) % 2 == 1){
            sex = "男";
        }else{
            sex = "女";
        }

        return {"birth" : birth, "sex" : sex};
    },

    /**
     * 监听网络连接状态
     * @param net {Object}  示例:{status: true} 表示联网
     */
    addNetListener : function(net){
        md.addEventListener({
            name:'online'
        },function(ret,err){
            var connectionType = ret.connectionType;
            commonUtil.console(connectionType);
            var con = connectionType.toUpperCase();
            if(con == "NONE"){
                var status = {"type": con, "status":false};
                Base.setStorage("netStatus", Base.jsonToStr(status));
                return ;
            }
            var status = {"type": con, "status":true};
            Base.setStorage("netStatus", Base.jsonToStr(status));
            return ;
        });

        md.addEventListener({
            name: 'offline'
        }, function(ret, err){
            var connectionType = ret.connectionType;
            commonUtil.console(connectionType);
            var con = connectionType.toUpperCase();
            var status = {"type": con, "status":false};
            Base.setStorage("netStatus", Base.jsonToStr(status));
            return ;
        });
    // if(con == "2G" || con == "3G" || con == "4G" || con == "WIFI" || con == "UNKNOWN" ){
    //     return true;
    // }else if(con == "NONE"){
    //     return false;
    // }
    },

    /** 
     * 设定网络连接状态的初始值 
     */     
    setNetStatus : function(){
        var connectionType = md.connectionType;
        commonUtil.console(connectionType);
        var con = connectionType.toUpperCase();
        if(con == "NONE"){
            var status = {"type": con, "status":false};
            Base.setStorage("netStatus", Base.jsonToStr(status));
            return ;
        }
        var status = {"type": con, "status":true};
        Base.setStorage("netStatus", Base.jsonToStr(status));
        return ;
    },

    /* 脱机版--验证经办用户token是否超时 
     * (联网版不用本地检测)
     * @return {Boolean} false:脱机版用户token超时
     */
    checkOverTime : function(){
        if(data_const.online_const.online){
            return true;
        }
        var date = new Date();
        var tokenTime = Base.getStorage("token_time");
        if(tokenTime){
            commonUtil.console(date - new Date(tokenTime));
            if( (date - new Date(tokenTime))/1000 > data_const.online_const.tokenTime){
                commonUtil.console("登录用户token超时,需重新登录!");
                return false;
            }
        }
        return true;
    },


    /**
     * 判断obj是否Array
     * @param obj {Object} 
     * @return {Boolean}  true:是； false:不是
     */
    isArray : function(obj){
        return Object.prototype.toString.call(obj) === "[object Array]";
    }
};