(function(m) {
	if(typeof define === "function" && define.amd) {
		define(m);
	} else {
		if(typeof Base1 == 'undefined') {
			Base1 = {};
		}
		Base1.validate = {};
		extend(Base1.validate, m());
		
		window.validateUtil = {};
		extend(window.validateUtil, m());
	}
	function extend(obj, prototypes) {
        for (var key in prototypes) {
            if (prototypes.hasOwnProperty(key)) {
                obj[key] = prototypes[key];
            }
        }
    }
	
})(function() {
	return {
		isEmail:  function(value) {
			return /^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i.test(value)
		},

		isUrl:  function(value) {
			return /^(https?|ftp):\/\/(((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(\#((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/i.test(value);
		},

		isChinese:  function(value) {
			  return /^[\u4e00-\u9fa5]+$/.test(value);                                    
		},

		isZipcode:  function(value) {
			return /[0-9]\d{5}(?!\d)/.test(value);                  
		},

		isIp:  function(value) {
			return /^((?:(?:25[0-5]|2[0-4]\d|((1\d{2})|([1-9]?\d)))\.){3}(?:25[0-5]|2[0-4]\d|((1\d{2})|([1-9]?\d))))$/.test(value);  
		},

		isInteger:  function(value) {
			return /^-?[1-9]\d*$/.test(value);
		},

		/** 
		 * 验证社保卡号，只能是9位数字和字母的组合
		 * @param {string} 社保卡号
		 * @return {json} data:验证通过validate=true,否则validate=false，msg：错误信息.
		 */
		isSICard: function(value){
			var data={validate:true};
			
			var reg = /^[0-9a-zA-Z]*$/g;
			if(!value.match(reg)){ 
			    data.validate=false;
			    data.msg="社保卡号只能输入数字或者字母";
			    return data;
			}
			if(value.length!=9){
			    data.validate=false;
			    data.msg="社保卡号长度必须为9位";
			    return data;
			}  
			return data;  
		},

		/** 
		 * 只验证18位身份证 
		 * @return {Boolean} true:有效的18位身份证
		 */
		isIdcard: function(value) {
			var sId = value;
			var aCity={11:"北京",12:"天津",13:"河北",14:"山西",15:"内蒙古",21:"辽宁",22:"吉林",23:"黑龙江",31:"上海",32:"江苏",33:"浙江",34:"安徽",35:"福建",36:"江西",37:"山东",41:"河南",42:"湖北",43:"湖南",44:"广东",45:"广西",46:"海南",50:"重庆",51:"四川",52:"贵州",53:"云南",54:"西藏",61:"陕西",62:"甘肃",63:"青海",64:"宁夏",65:"新疆",71:"台湾",81:"香港",82:"澳门",91:"国外"} ;

			var iSum=0 ;
			var info="" ;
			if(!/^\d{17}(\d|x)$/i.test(sId)){
				this.message =  "你输入的身份证长度或格式错误";
				return false;
			}
			sId=sId.replace(/x$/i,"a"); 
			if(aCity[parseInt(sId.substr(0,2))]==null){ 
				this.message =  "你的身份证地区非法";
				return false;
			}
			sBirthday=sId.substr(6,4)+"-"+Number(sId.substr(10,2))+"-"+Number(sId.substr(12,2)); 
			var d=new Date(sBirthday.replace(/-/g,"/")) ;
			if(sBirthday!=(d.getFullYear()+"-"+ (d.getMonth()+1) + "-" + d.getDate())){
				this.message =  "身份证上的出生日期非法";
				return false; 
			}

			for(var i = 17;i>=0;i --) {
				iSum += (Math.pow(2,i) % 11) * parseInt(sId.charAt(17 - i),11) ;
			}

			if(iSum%11!=1){
				this.message =  "你输入的身份证号非法";
				return false; 
			}
			return true;
		},

		/** 
		 * 验证移动电话
		 * @return {Boolean} true:有效的移动电话 
		 */
		isMobile : function(value){
			/**
			 * 中国电信号码格式验证 手机段： 133,153,180,181,189,177,1700,173
			 */
			var CHINA_TELECOM_PATTERN = /(^1(33|53|7[37]|8[019])\d{8}$)|(^1700\d{7}$)/;    
			
			/**
			 * 中国联通号码格式验证 手机段：130,131,132,155,156,185,186,145,176,1707,1708,1709 
			 */
			var CHINA_UNICOM_PATTERN = /(^1(3[0-2]|4[5]|5[56]|7[6]|8[56])\d{8}$)|(^170[7-9]\d{7}$)/;   
			/**
			 * 中国移动号码格式验证 手机段：134,135,136,137,138,139,150,
			 * 151,152,157,158,159,182,183,184 ,187,188,147,178,1705 
			 */
			var CHINA_MOBILE_PATTERN = /(^1(3[4-9]|4[7]|5[0-27-9]|7[8]|8[2-478])\d{8}$)|(^1705\d{7}$)/; 

			/** 电信、联通和移动混合*/
            var MOBILE_PHONE_PATTERN = /(^1(33|53|7[37]|8[019])\d{8}$)|(^1700\d{7}$)|(^1(3[0-2]|4[5]|5[56]|7[6]|8[56])\d{8}$)|(^170[7-9]\d{7}$)|(^1(3[4-9]|4[7]|5[0-27-9]|7[8]|8[2-478])\d{8}$)|(^1705\d{7}$)/;

			return MOBILE_PHONE_PATTERN.test(value);
		},

		/**
		 * 验证固定电话 
		 * @return {Boolean} true:有效的固定电话
		 */
		isTel : function(value){

			/**
			 * 座机电话格式验证 3-4位区号，7-8位直播号码，1-4位分机号，短横线连接
			 * 如：1234-12345678-1234 
			 */   
    		var PHONE_CALL_PATTERN = /^(0[0-9]{2,3}\-)?([2-9][0-9]{6,7})(\-[0-9]{1,4})?$/; 

    		return PHONE_CALL_PATTERN.test(value);
		},
		/**
		 * 验证参数是否是空对象，包括undefined,null,{}，"" ，数字都属于空对象
		 * @param  {[type]}  value [description]
		 * @return {Boolean}       [description]
		 */
		isEmptyObject : function(v){			
		    var t;  
		    for (t in v)  
		        return !1;  
		    return !0   
		}

	}
});


